<?php
namespace CoreException;
if(!defined('CEPATH'))define('CEPATH', LIB_REPOSITORY_PATH."/vendor/CoreException/config");
return array(
    'view_manager' => array(
        'display_not_found_reason' => true,
        'display_exceptions' => true,  
        'template_map' => array(
            'layout/different'           => CEPATH . '/../view/layout/layout.mustache',
        		'404' =>CEPATH . '/../view/layout/404.mustache',
        ),
        'template_path_stack' => array(
            CEPATH . '/../view',
        ),
    ),
    'controllers' => array(
        'invokables' => array(
            'CoreException\Controller\CoreException' => 'CoreException\Controller\CoreExceptionController',
        ),
    ),
    
    'core.exception'=> array(
        'status'=>'On',
        'renderer'=> 'mustacheviewrenderer',
        'env' => (getenv("IS_DEV_ENVIRONMENT")==1?"dev":"prod"),
        'dev'=> array(
            'display_exception'=> array(
                'not_found_template' => 'error/dev/404.mustache',
                'exception_template' =>  'error/dev/viewException.mustache',
            ),
            'log'=> array(
                'file'=>'/var/log/zend2/exception'.date('Ymd').'.log'
            ),
            'send_mail'=>array(
                'destinataire'=>array(
                  'clifford'=>'clifford.marseille.com',
                  'daheda'=>'daheda@linkeo.com',
                )
            ),
            'error_handler' => array(
                'display_mode'=>array('ECHO','LOG'),
                'error_template'=> 'error/dev/viewError.mustache',
                'error_log'=>'/var/log/zend2/error'.date('Ymd').'.log'
            ), 
        ),
        
        'prod'=> array(
            'display_exception'=> array(
                'not_found_template' => 'error/prod/404.mustache',
                'exception_template' => 'error/prod/custom.mustache',
            ),
             'log'=> array(
                'file'=>'/var/log/zend2/exception'.date('Ymd').'.log'
            ),
            'send_mail'=>array(
                'destinataire'=>array(
                   'clifford'=>'clifford.marseille.com',
                  'daheda'=>'daheda@linkeo.com',
                )
            ),
             'error_handler' => array(
                'display_mode'=>array('LOG'),
                 'error_template'=> 'error/dev/viewError.mustache',
                 'error_log'=>'/var/log/zend2/error'.date('Ymd').'.log'
            ), 
        ),
    ),
);
